Skip to main content
PUT
Error

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agencyId
string
required

The agency id.

Pattern: ^[A-Z]{3,6}_[a-zA-Z0-9-._~:@!$,]+$
Example:

"LND_Agency-42"

planId
string
required

The plan id. At least one character among those allowed: unaccented alpha-numeric characters, "-", ".", "_", "~", ":", "@", "!", "$", ",".

Pattern: ^[a-zA-Z0-9-._~:@!$,]+$

Query Parameters

force
boolean
default:false

If true, on an archived item, the requested action will be forced and the item will be unarchived.

Body

application/json

The mode to set.

[TO_VALIDATE] Description pending review by a Kardinal engineer.

Available options:
standard,
manual
Example:

"standard"

Response

Plan mode response.

[TO_VALIDATE] Description pending review by a Kardinal engineer.

item
enum<string>
default:standard

[TO_VALIDATE] Description pending review by a Kardinal engineer.

Available options:
standard,
manual
Example:

"standard"

agencyId
string

The agency id.

Pattern: ^[A-Z]{3,6}_[a-zA-Z0-9-._~:@!$,]+$
Example:

"LND_Agency-42"

planId
string

The plan id.

Pattern: ^[a-zA-Z0-9-._~:@!$,]+$
Example:

"plan-AB"

planVersion
integer
read-only

The plan version.

Required range: x >= 1
Example:

42